package com.chushang.task.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @auther: zhao
 * @date: 2024/6/12 18:02
 */
@Getter
@AllArgsConstructor
public enum TaskTypeEnum implements IEnum<Integer> {
    /**
     * 导出时, 需要取remark 为导出文件路径
     */
    DOWN(1, "导出任务"),
    UPLOAD(2, "上传任务"),
    OTHER(3, "其他后台任务"),
    ;

    private final Integer code;
    private final String desc;

    @Override
    public Integer getValue() {
        return code;
    }
}
